﻿@model eCommerce.Services.Model.City
@{
    ViewBag.Title = "Moto Delivery";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Moto delivery</h1>
    <ol class="breadcrumb">
        <li class="active">Crear</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("MotoDeliveryCreate", "MotoDelivery", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Provincia</label>
                            <div class="col-sm-4">
                                <select class="form-control" name="ProvinceId" id="ProvincieId" data-plugin="select2">
                                    <option value="@string.Empty">Ninguna</option>
                                    @if (TempData["Provincias"] != null)
                                    {
                                        foreach (var item in (SelectList)TempData["Provincias"])
                                        {
                                            <option value="@item.Value">@item.Text</option>
                                        }
                                    }
                                 </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-s m-2 control-label">Ciudad</label>
                            <div class="col-sm-9">
                                <div class="input-group">
                                    <input type="text" class="form-control" name="Name">
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Costo</label>
                            <div class="col-sm-2">
                                <div class="input-group">
                                    <span class="input-group-addon">$</span>
                                    <input type="text" class="form-control" name="Cost" placeholder="0,00">
                                </div>
                            </div>
                        </div>

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/MotoDelivery'">Cancelar</button>
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    ProvinceId: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Provincia es requerido.'
                            }
                        }
                    },
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Ciudad es requerido.'
                            }
                        }
                    },
                    Cost: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Costo es requerido.'
                            },
                            numeric: {
                                message: 'Ingrese un valor correcto.'
                            }
                        }
                    }
                }
            });
        })();


    </script>
}

